Red battle droid needs to be C-9.5++ Mint. I'm also looking for mint Droid 2 pack and Lama Su.